## linuxmuster-client-tor-browser-bundle 0.2.0-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

CONF=$(DESTDIR)/etc/linuxmuster-client/tor-browser-bundle
BIN=$(DESTDIR)/usr/bin
SBIN=$(DESTDIR)/usr/sbin
SHARE=$(DESTDIR)/usr/share/linuxmuster-client-tor-browser-bundle
DESKTOP=$(DESTDIR)/usr/share/applications
ICON=$(DESTDIR)/usr/share/pixmaps
ETC=$(DESTDIR)/etc/sudoers.d

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make install'
	@echo '      install all stuff'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '


install:
	@echo '   * Installing downloader script'
	@install -d -m755 -oroot -groot $(SBIN)
	@install -oroot -groot --mode=0775 scripts/linuxmuster-client-tor-browser-bundle-downloader $(SBIN)
	@echo '   * Installing starter script'
	@install -d -m755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0775 scripts/linuxmuster-client-tor-browser-bundle $(BIN)
	@echo '   * Installing unity dash entry'
	@install -d -m0755 -oroot -groot $(DESKTOP)
	@install -oroot -groot --mode=0644 icons/tor-browser-bundle.desktop $(DESKTOP)
	@echo '   * Installing icon'
	@install -d -m0755 -oroot -groot $(ICON)
	@install -oroot -groot --mode=0644 icons/tor-browser-bundle.png $(ICON)



# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	#@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git'
	@echo ''


clean:
	# delete stuff after building package

=== debian/changelog ===
linuxmuster-client-tor-browser-bundle (0.2.0-1) precise-testing; urgency=low

  * New upstream 3.5

 -- bz <bz@adler>  Fri, 27 Dec 2013 16:48:27 +0100

linuxmuster-client-tor-browser-bundle (0.1.7-1) precise; urgency=low

  * New upstream 2.3.25-14

 -- bz <bz@adler>  Wed, 06 Nov 2013 19:39:40 +0100

linuxmuster-client-tor-browser-bundle (0.1.6-1) precise; urgency=low

  * New upstream 2.3.25-10

 -- bz <bz@overpower>  Sun, 07 Jul 2013 02:52:42 +0200

linuxmuster-client-tor-browser-bundle (0.1.5-1) precise; urgency=low

  * New upstream 2.3.25-4

 -- bz <bz@adler>  Tue, 26 Feb 2013 14:27:13 +0100

linuxmuster-client-tor-browser-bundle (0.1.4-1) precise; urgency=low

  * New upstream 2.3.25-2

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 11 Jan 2013 13:59:02 +0100

linuxmuster-client-tor-browser-bundle (0.1.3-1) precise; urgency=low

  * New upstream 2.3.25-1

 -- bz <bz@adler>  Wed, 26 Dec 2012 01:40:30 +0100

linuxmuster-client-tor-browser-bundle (0.1.2-1) precise; urgency=low

  * New upstream 2.2.39-5

 -- bz <bz@overpower>  Sat, 17 Nov 2012 12:17:03 +0100

linuxmuster-client-tor-browser-bundle (0.1.1-1) precise-testing; urgency=low

  * Added copyright file

 -- bz <bz@overpower>  Tue, 02 Oct 2012 11:18:37 +0200

linuxmuster-client-tor-browser-bundle (0.1.0-1) precise-testing; urgency=low

  * New package for Precise repo

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 27 Sep 2012 12:18:18 +0200

linuxmuster-client-tor-browser-bundle (0.0.4-1) linuxmuster-client-testing; urgency=low

  * Bugfix Relese

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 21 Sep 2012 15:32:33 +0200

linuxmuster-client-tor-browser-bundle (0.0.3-1) linuxmuster-client-testing; urgency=low

  * Added Icon, Download version 2.2.39-1 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 21 Sep 2012 15:13:35 +0200

linuxmuster-client-tor-browser-bundle (0.0.2-1) linuxmuster-client-testing; urgency=low

  * New Package Server

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Tue, 18 Sep 2012 17:56:38 +0200

linuxmuster-client-tor-browser-bundle (0.0.1-1) lenny; urgency=low

  * First Revision

 -- root <root@lenny-build.kvmdomain.org.local>  Fri, 07 Sep 2012 18:13:17 +0200

=== debian/control ===
Source: linuxmuster-client-tor-browser-bundle
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-client-tor-browser-bundle
Architecture: all
Suggests: 
Pre-Depends: wget
Depends: liblog-log4perl-perl 
Description: Download Tor Browser Bundle 3.5 on package install
  Make Tor Browser Bundle installable for every user.

## linuxmuster-client-tor-browser-bundle 0.8.21-1

=== debian/changelog ===
linuxmuster-client-tor-browser-bundle (0.8.21-1) trusty; urgency=medium

  * new upstream 8.5.5 

 -- jeff <bz@adler>  Thu, 10 Oct 2019 21:51:52 +0200

linuxmuster-client-tor-browser-bundle (0.8.20-1) bionic; urgency=medium

  * new upstream 8.5.4

 -- jeff <bz@adler>  Sat, 10 Aug 2019 16:16:53 +0200

linuxmuster-client-tor-browser-bundle (0.8.19-1) bionic; urgency=medium

  * new upstream 8.5.1

 -- jeff <bz@adler>  Sat, 08 Jun 2019 16:34:27 +0200

linuxmuster-client-tor-browser-bundle (0.8.18-1) bionic; urgency=medium

  * new upstream 8.0.8

 -- bz <bz@overpower>  Wed, 03 Apr 2019 10:56:46 +0200

linuxmuster-client-tor-browser-bundle (0.8.17-1) xenial; urgency=medium

  * new upstream 8.0.4

 -- bz <bz@overpower>  Fri, 11 Jan 2019 15:59:55 +0100

linuxmuster-client-tor-browser-bundle (0.8.16-1) xenial; urgency=medium

  * new upstream 8.0.3

 -- bz <bz@X220>  Mon, 29 Oct 2018 16:43:40 +0100

linuxmuster-client-tor-browser-bundle (0.8.15-1) trusty; urgency=medium

  * new upstream 8.0.1

 -- jeff <bz@adler>  Sun, 23 Sep 2018 22:49:27 +0200

linuxmuster-client-tor-browser-bundle (0.8.14-1) bionic-testing; urgency=medium

  * new upstream 8.0

 -- jeff <bz@adler>  Mon, 10 Sep 2018 01:30:26 +0200

linuxmuster-client-tor-browser-bundle (0.8.13-1) bionic-testing; urgency=medium

  * new upstream 7.5.6

 -- jeff <bz@adler>  Sun, 08 Jul 2018 22:27:56 +0200

linuxmuster-client-tor-browser-bundle (0.8.12-1) bionic-testing; urgency=medium

  * new upstream 7.5.5

 -- jeff <bz@adler>  Wed, 13 Jun 2018 12:42:21 +0200

linuxmuster-client-tor-browser-bundle (0.8.11-1) bionic-testing; urgency=medium

  * new upstream 7.5.4

 -- jeff <bz@adler>  Sat, 12 May 2018 14:30:10 +0200

linuxmuster-client-tor-browser-bundle (0.8.10-1) xenial; urgency=medium

  * new upstream 7.5.3

 -- jeff <bz@adler>  Wed, 04 Apr 2018 16:45:38 +0200

linuxmuster-client-tor-browser-bundle (0.8.9-1) xenial; urgency=medium

  * new upstream 7.5.2

 -- jeff <bz@adler>  Mon, 19 Mar 2018 00:32:30 +0100

linuxmuster-client-tor-browser-bundle (0.8.8-1) xenial; urgency=medium

  * new upstream 7.5

 -- Ruediger Beck <bz@j1009p16>  Thu, 25 Jan 2018 17:19:23 +0100

linuxmuster-client-tor-browser-bundle (0.8.7-1) xenial; urgency=medium

  *  new upstream 7.0.11

 -- jeff <bz@adler>  Sun, 17 Dec 2017 11:24:24 +0100

linuxmuster-client-tor-browser-bundle (0.8.6-1) xenial; urgency=medium

  * new upstream 7.0.6

 -- jeff <bz@adler>  Mon, 09 Oct 2017 22:33:07 +0200

linuxmuster-client-tor-browser-bundle (0.8.5-1) xenial; urgency=medium

  * new upstream 7.0.5

 -- jeff <bz@adler>  Tue, 12 Sep 2017 13:13:55 +0200

linuxmuster-client-tor-browser-bundle (0.8.4-1) xenial; urgency=medium

  * new upstream 7.0.4

 -- jeff <bz@adler>  Mon, 14 Aug 2017 17:05:14 +0200

linuxmuster-client-tor-browser-bundle (0.8.3-1) xenial; urgency=medium

  * new upstream 7.0.3

 -- jeff <bz@adler>  Tue, 08 Aug 2017 21:36:57 +0200

linuxmuster-client-tor-browser-bundle (0.8.2-1) xenial; urgency=medium

  * new upstream 7.0.2

 -- jeff <bz@adler>  Wed, 12 Jul 2017 13:26:07 +0200

linuxmuster-client-tor-browser-bundle (0.8.1-1) xenial; urgency=medium

  * new upstream 7.0.1

 -- jeff <bz@adler>  Tue, 20 Jun 2017 08:46:09 +0200

linuxmuster-client-tor-browser-bundle (0.8.0-1) xenial; urgency=medium

  * new upstream 6.5.2, rm other downloads, keep only files with current version number

 -- jeff <bz@adler>  Sun, 23 Apr 2017 13:07:00 +0200

linuxmuster-client-tor-browser-bundle (0.7.9-1) xenial; urgency=medium

  * new upstream 6.5

 -- jeff <bz@adler>  Fri, 10 Mar 2017 02:41:57 +0100

linuxmuster-client-tor-browser-bundle (0.7.8-1) xenial; urgency=medium

  * new upstream 6.5

 -- jeff <bz@adler>  Fri, 27 Jan 2017 02:27:50 +0100

linuxmuster-client-tor-browser-bundle (0.7.7-1) xenial; urgency=medium

  * new upstream 6.0.8

 -- jeff <bz@adler>  Wed, 14 Dec 2016 17:03:53 +0100

linuxmuster-client-tor-browser-bundle (0.7.6-1) xenial; urgency=medium

  * new upstream 6.0.7

 -- jeff <bz@adler>  Tue, 06 Dec 2016 13:11:38 +0100

linuxmuster-client-tor-browser-bundle (0.7.5-1) xenial; urgency=medium

  * new upstream 6.0.6

 -- jeff <bz@adler>  Fri, 18 Nov 2016 08:35:33 +0100

linuxmuster-client-tor-browser-bundle (0.7.4-1) xenial; urgency=medium

  * new upstream 6.0.5

 -- jeff <bz@adler>  Sat, 17 Sep 2016 13:55:58 +0200

linuxmuster-client-tor-browser-bundle (0.7.3-1) xenial; urgency=medium

  * new upstream 6.0.4

 -- jeff <bz@adler>  Sat, 03 Sep 2016 11:14:32 +0200

linuxmuster-client-tor-browser-bundle (0.7.2-1) xenial; urgency=medium

  * new upstream 6.0.3

 -- jeff <bz@adler>  Wed, 03 Aug 2016 23:55:47 +0200

linuxmuster-client-tor-browser-bundle (0.7.1-1) xenial; urgency=medium

  * new upstream 6.0.2

 -- jeff <bz@adler>  Wed, 22 Jun 2016 17:49:06 +0200

linuxmuster-client-tor-browser-bundle (0.7.0-1) trusty; urgency=medium

  * new upstream 6.0.1

 -- Ruediger Beck <bz@j1010p20.bszleo.de>  Thu, 09 Jun 2016 12:17:21 +0200

linuxmuster-client-tor-browser-bundle (0.6.0-1) xenial; urgency=medium

  * new upstream 5.5.5

 -- jeff <bz@adler>  Wed, 27 Apr 2016 14:44:55 +0200

linuxmuster-client-tor-browser-bundle (0.5.6-3) xenial; urgency=medium

  * stable release for xenial xerus

 -- Dominik Foerderer <dominik-foerderer@windeck-gymnasium.de>  Mon, 18 Apr 2016 12:45:46 +0100
 

linuxmuster-client-tor-browser-bundle (0.5.9-1) trusty; urgency=medium

  * New upstream TBB 5.5.4

 -- jeff <bz@adler>  Sun, 20 Mar 2016 16:46:13 +0100

linuxmuster-client-tor-browser-bundle (0.5.8-1) trusty; urgency=medium

  * New upstream TBB 5.5.3

 -- bz <bz@overpower>  Thu, 10 Mar 2016 13:19:22 +0100

linuxmuster-client-tor-browser-bundle (0.5.7-1) trusty; urgency=medium

  * New upstream TBB 5.5.2

 -- jeff <bz@adler>  Sat, 13 Feb 2016 18:25:16 +0100

linuxmuster-client-tor-browser-bundle (0.5.6-2) xenial-testing; urgency=medium

  * First release for Ubuntu 16.04 xenial xerus

 -- Dominik Foerderer <dominik-foerderer@windeck-gymnasium.de>  Thu, 09 Feb 2016 11:31:46 +0100
 



=== debian/control ===
--- 
+++ 
@@ -12,5 +12,5 @@
 Suggests: 
 Pre-Depends: wget
 Depends: liblog-log4perl-perl 
-Description: Download Tor Browser Bundle 3.5 on package install
-  Make Tor Browser Bundle installable for every user.
+Description: Download Tor Browser Bundle 8.5.5
+  Make Tor Browser Bundle installable/usable for every user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install package into 
        # debian/linuxmuster-client-tor-browser-bundle
	$(MAKE) -B install DESTDIR=$(CURDIR)/debian/linuxmuster-client-tor-browser-bundle

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for linuxmuster-client-tor-browser-bundle
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-client-tor-browser-bundle
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## linuxmuster-client-tor-browser-bundle 0.8.25-1

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	@echo '   * Installing starter script'
 	@install -d -m755 -oroot -groot $(BIN)
 	@install -oroot -groot --mode=0775 scripts/linuxmuster-client-tor-browser-bundle $(BIN)
+	@echo '   * Installing Tor Browser Bundle copy script'
+	@install -oroot -groot --mode=0775 clipboardcopy/tbbcp $(BIN)
 	@echo '   * Installing unity dash entry'
 	@install -d -m0755 -oroot -groot $(DESKTOP)
 	@install -oroot -groot --mode=0644 icons/tor-browser-bundle.desktop $(DESKTOP)

=== debian/changelog ===
linuxmuster-client-tor-browser-bundle (0.8.25-1) bionic; urgency=medium

  * new upstream 10.0.13

 -- bz <bz@adler>  Tue, 09 Mar 2021 11:05:24 +0100

linuxmuster-client-tor-browser-bundle (0.8.24-1) bionic; urgency=medium

  * new upstream 10.0.7

 -- bz <bz@adler>  Fri, 25 Dec 2020 14:15:43 +0100

linuxmuster-client-tor-browser-bundle (0.8.23-1) bionic; urgency=medium

  * new upstream 10.0.5, packaged with focal fossa

 -- bz <bz@adler>  Sun, 14 Jun 2020 15:43:04 +0200

linuxmuster-client-tor-browser-bundle (0.8.21-1) bionic; urgency=medium

  * new upstream 8.5.5 

 -- jeff <bz@adler>  Thu, 10 Oct 2019 21:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -12,5 +12,5 @@
 Suggests: 
 Pre-Depends: wget
 Depends: liblog-log4perl-perl 
-Description: Download Tor Browser Bundle 8.5.5
+Description: Download Tor Browser Bundle 10.0.13
   Make Tor Browser Bundle installable/usable for every user.

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install package into
